stages:
    - lint

variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

cache:
  key: pip-cache
  paths:
    - $CI_PROJECT_DIR/.cache/pip

ansible:
  stage: lint
  image: python
  before_script:
    - mkdir -p $CI_PROJECT_DIR/.cache/pip
    - pip install ansible ansible-lint
  script:
    - ansible-lint
